Package org.springframework.cglib.core

# Class MethodInfoTransformer

java.lang.Object
org.springframework.cglib.core.MethodInfoTransformer

All Implemented Interfaces:
  `Transformer`

public class MethodInfoTransformer extends Object implements Transformer

## Constructor Summary

Constructors
Constructor
Description
`MethodInfoTransformer()`

## Method Summary

Modifier and Type
Method
Description
`static MethodInfoTransformer`
`getInstance()`
`Object`
`transform(Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MethodInfoTransformer

public MethodInfoTransformer()

## Method Details

### getInstance

public static MethodInfoTransformer getInstance()

### transform

public Object transform(Object value)

Specified by:
  `transform` in interface `Transformer`